# $Revision: 1.14 $, $Date: 2011/09/11 19:27:47 $
Summary:	Makes free online gaming possible
Summary(pl.UTF-8):	Biblioteka pozwalająca grać online w darmowe gry
Name:		libggz
Version:	0.0.14.1
Release:	4
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://ftp.belnet.be/packages/ggzgamingzone/ggz/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	603739504648833779aa13b0327a1c3d
Patch0:		%{name}-link.patch
Patch1:		%{name}-gnutls.patch
URL:		http://www.ggzgamingzone.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gnutls-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the GGZ base library libggz, used by the GGZ Gaming Zone
server (ggzd), the ggzcore library and other components.

%description -l pl.UTF-8
To jest podstawowa biblioteka projektu GGZ - libggz, używana przez
serwer GGZ Gaming Zone (ggzd), bibliotekę ggzcore oraz inne
komponenty.

%package devel
Summary:	Header files for libggz library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libggz
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gnutls-devel
Requires:	libgcrypt-devel

%description devel
Header files for libggz library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libggz.

%package static
Summary:	Static libggz library
Summary(pl.UTF-8):	Statyczna biblioteka libggz
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libggz library.

%description static -l pl.UTF-8
Statyczna biblioteka libggz.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4 -I m4/ggz
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-gcrypt \
	--with-gnutls-libraries=%{_libdir} \
	--with-tls
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/ggz

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README*
%attr(755,root,root) %{_libdir}/libggz.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libggz.so.2
%dir %{_datadir}/ggz

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libggz.so
%{_libdir}/libggz.la
%{_includedir}/ggz.h
%{_includedir}/ggz_common.h
%{_includedir}/ggz_dio.h
%{_mandir}/man3/ggz.h.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libggz.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libggz.spec,v $
Revision 1.14  2011/09/11 19:27:47  arekm
- rel 4; fix build with new gnutls

Revision 1.13  2011/09/09 19:10:50  arekm
- release 3

Revision 1.12  2011/08/31 06:58:10  arekm
- release 2

Revision 1.11  2008/04/01 18:17:18  lisu
- up to 0.0.14.1

Revision 1.10  2008-03-12 18:14:33  megabajt
- release 2

Revision 1.9  2008-02-10 15:28:03  megabajt
- own %{_datadir}/ggz - it's shared directory between all ggz packages

Revision 1.8  2008-02-09 16:25:54  qboosh
- ghost soname symlink
- existing License version (it's LGPL)

Revision 1.7  2007-08-04 11:46:15  qboosh
- added link patch, pass --with-gnutls-libraries to fix libggz.la

Revision 1.6  2007/08/04 11:04:41  qboosh
- typo
- added missing libtoolize
- ggz.h(3) man page moved to -devel

Revision 1.5  2007/07/22 17:14:35  shadzik
- use encryption and tls functionality
- BR: gnutls-devel and libgcrypt-devel

Revision 1.4  2007/07/22 17:10:01  shadzik
- use autotools

Revision 1.3  2007/07/22 17:02:35  shadzik
- typo

Revision 1.2  2007/07/22 17:01:04  shadzik
- adapterized

Revision 1.1  2007/07/22 10:29:07  lisu
- initial
